//
//  BannerSectionController.swift
//  yandextest
//
//  Created by ben on 7/30/20.
//  Copyright © 2020 espiru. All rights reserved.
//

import Foundation
import IGListKit

final class BannerSectionController: ListSectionController {
    private var object: BannerObject?
    
    override func numberOfItems() -> Int {
        return object != nil ? 1 : 0
    }
    
    override func sizeForItem(at index: Int) -> CGSize {
        return CGSize(width: collectionContext?.containerSize.width ?? 0, height: 258)
    }
    
    override func didUpdate(to object: Any) {
        self.object = object as? BannerObject
    }

    override func cellForItem(at index: Int) -> UICollectionViewCell {
        guard let cell = collectionContext?.dequeueReusableCell(withNibName: "BannerCell", bundle: nil, for: self, at: index) as? BannerCell else { fatalError() }
        
        if let banner = object?.banner {
            debugPrint("BANNER: \(banner)")
            
            for subview in cell.bannerContainer.subviews {
              subview.removeFromSuperview()
            }
            
            banner.displayAtTop(in: cell.bannerContainer)
        }
        
        return cell
    }
}
