//
//  ContentSectionController.swift
//  yandextest
//
//  Created by ben on 7/30/20.
//  Copyright © 2020 espiru. All rights reserved.
//

import Foundation
import IGListKit

final class ContentSectionController: ListSectionController {
    private var object: ContentObject?
    
    override func numberOfItems() -> Int {
        return object != nil ? 1 : 0
    }
    
    override func sizeForItem(at index: Int) -> CGSize {
        return CGSize(width: collectionContext?.containerSize.width ?? 0, height: 258)
    }
    
    override func didUpdate(to object: Any) {
        self.object = object as? ContentObject
    }

    override func cellForItem(at index: Int) -> UICollectionViewCell {
        guard let cell = collectionContext?.dequeueReusableCell(withNibName: "ContentCell", bundle: nil, for: self, at: index) as? ContentCell else { fatalError() }
        
        if let content = object?.content {
            cell.contentLabel.text = content
        }
        
        return cell
    }
}
